Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action
Class OlapClientConnectionAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.springframework.webflow.action.MultiAction
              org.springframework.webflow.action.FormAction
                  com.jaspersoft.jasperserver.war.action.OlapClientConnectionAction

All Implemented Interfaces:
  org.springframework.beans.factory.InitializingBean, org.springframework.webflow.execution.Action

    public class OlapClientConnectionAction

extends org.springframework.webflow.action.FormAction

OlapClientConnectionAction provides the actions to olap client connection views

Author:
  jshih

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.webflow.action.MultiAction
`org.springframework.webflow.action.MultiAction.MethodResolver`

Field Summary
`protected JasperServerConstImpl` | `constants`
`protected org.apache.commons.logging.Log` | `log`
`protected OlapConnectionService` | `olapConnection`
`protected RepositoryService` | `repository`

Fields inherited from class org.springframework.webflow.action.FormAction
`DEFAULT_FORM_OBJECT_NAME, VALIDATOR_METHOD_ATTRIBUTE`

Fields inherited from class org.springframework.webflow.action.AbstractAction
`logger`

Constructor Summary
`OlapClientConnectionAction()` initialize OlapClientConnectionAction.class object

Method Summary
`java.lang.Object` | `createFormObject(org.springframework.webflow.execution.RequestContext context)` createFormObject set the form object
`protected void` | `findAllSchemas(org.springframework.webflow.execution.RequestContext context, OlapClientConnectionWrapper wrapper)` findAllSchemas finds all mondrian olap schema
`protected void` | `getAllConnections(org.springframework.webflow.execution.RequestContext context, OlapClientConnectionWrapper wrapper)` getAllConnections finds all olap client connections
`protected void` | `getAllFolders(OlapClientConnectionWrapper wrapper)` getAllFolders finds all folder resources
`protected void` | `getAllXmlaSources(org.springframework.webflow.execution.RequestContext context, OlapClientConnectionWrapper wrapper)` getAllXmlaConnections finds all xmla mondrian sources
`EngineService` | `getEngine()` method to get the engine service object
`protected void` | `getMondrianConnectionDetails(OlapClientConnectionWrapper wrapper, MondrianConnection mondrianConnection)` getMondrianConnectionDetails buffers the changes to mondrian connection
`protected void` | `getMondrianConnectionInfo(OlapClientConnection occ, OlapClientConnectionWrapper formObject)`
`OlapConnectionService` | `getOlapConnection()` method to get the olap connection service object
`RepositoryService` | `getRepository()` getRepository returns repository service property
`org.springframework.webflow.execution.Event` | `handleTypeSelection(org.springframework.webflow.execution.RequestContext context)` handleTypeSelection receives input from mouse click and converts to the connection type
`org.springframework.webflow.execution.Event` | `initAction(org.springframework.webflow.execution.RequestContext context)` initAction performs the initialization for the olap client connection web flow
`protected void` | `initBinder(org.springframework.webflow.execution.RequestContext context, org.springframework.validation.DataBinder binder)` Registers a byte array editor to allow spring handle File uploads as byte arrays
`org.springframework.webflow.execution.Event` | `locateDataSource(org.springframework.webflow.execution.RequestContext context)` locateDataSource performs the action to load or create data source
`org.springframework.webflow.execution.Event` | `locateSchemaResource(org.springframework.webflow.execution.RequestContext context)` locateSchemaResource performs the action to load or create schema resource
`protected void` | `log(java.lang.String text)` log logs debug message
`org.springframework.webflow.execution.Event` | `saveDatasource(org.springframework.webflow.execution.RequestContext context)` saveDatasource performs the action to save data source
`org.springframework.webflow.execution.Event` | `saveMondrianConnection(org.springframework.webflow.execution.RequestContext context)` saveMondrianConnection performs the action to save mondrian connection resource
`org.springframework.webflow.execution.Event` | `saveSchemaResource(org.springframework.webflow.execution.RequestContext context)` saveSchemaResource performs the action to save schema resource
`org.springframework.webflow.execution.Event` | `saveXmlaConnection(org.springframework.webflow.execution.RequestContext context)` saveXmlaConnection stores XML/A connection information and places its resource reference in olap unit.
`void` | `setEngine(EngineService engine)` method to set the engine service object
`protected void` | `setMondrianConnectionDetails(OlapClientConnectionWrapper wrapper, MondrianConnection mondrianConnection)` setMondrianConnectionDetails saves the changes to mondrian connection
`void` | `setOlapConnection(OlapConnectionService olapConnection)` method to set the olap connection service object
`void` | `setRepository(RepositoryService repository)` setRepository sets repository service property
`org.springframework.webflow.execution.Event` | `validateOlapConnection(org.springframework.webflow.execution.RequestContext context)` validateOlapConnection performs validate for olap view

Methods inherited from class org.springframework.webflow.action.FormAction
`bind, bindAndValidate, createBinder, doBind, doValidate, getFormErrors, getFormErrorsScope, getFormObject, getFormObjectAccessor, getFormObjectClass, getFormObjectName, getFormObjectScope, getMessageCodesResolver, getPropertyEditorRegistrar, getValidateMethodInvoker, getValidator, initAction, registerPropertyEditors, registerPropertyEditors, resetForm, setFormErrorsScope, setFormObjectClass, setFormObjectName, setFormObjectScope, setMessageCodesResolver, setPropertyEditorRegistrar, setupForm, setValidator, validate, validationEnabled`

Methods inherited from class org.springframework.webflow.action.MultiAction
`doExecute, getMethodResolver, setMethodResolver, setTarget`

Methods inherited from class org.springframework.webflow.action.AbstractAction
`afterPropertiesSet, doPostExecute, doPreExecute, error, error, execute, getActionNameForLogging, getEventFactorySupport, no, result, result, result, result, success, success, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.InitializingBean
`afterPropertiesSet`

Field Detail

### log

    protected final org.apache.commons.logging.Log log

### repository

    protected RepositoryService repository

### olapConnection

    protected OlapConnectionService olapConnection

### constants

    protected JasperServerConstImpl constants

Constructor Detail

### OlapClientConnectionAction

    public OlapClientConnectionAction()

  initialize OlapClientConnectionAction.class object

Method Detail

### initAction

    public org.springframework.webflow.execution.Event initAction(org.springframework.webflow.execution.RequestContext context)
                                                           throws java.lang.Exception

  initAction performs the initialization for the olap client connection web flow

  Parameters:
    `context` -
  Returns:
  Throws:
    `java.lang.Exception`

### findAllSchemas

    protected void findAllSchemas(org.springframework.webflow.execution.RequestContext context,
                                  OlapClientConnectionWrapper wrapper)

  findAllSchemas finds all mondrian olap schema

  Parameters:
    `context` -
    `wrapper` -

### getAllConnections

    protected void getAllConnections(org.springframework.webflow.execution.RequestContext context,
                                     OlapClientConnectionWrapper wrapper)

  getAllConnections finds all olap client connections

  Parameters:
    `context` -
    `wrapper` -

### getAllXmlaSources

    protected void getAllXmlaSources(org.springframework.webflow.execution.RequestContext context,
                                     OlapClientConnectionWrapper wrapper)

  getAllXmlaConnections finds all xmla mondrian sources

  Parameters:
    `context` -
    `wrapper` -

### getAllFolders

    protected void getAllFolders(OlapClientConnectionWrapper wrapper)

  getAllFolders finds all folder resources

  Parameters:
    `wrapper` -

### handleTypeSelection

    public org.springframework.webflow.execution.Event handleTypeSelection(org.springframework.webflow.execution.RequestContext context)
                                                                    throws java.lang.Exception

  handleTypeSelection receives input from mouse click and converts to the connection type

  Parameters:
    `context` -
  Returns:
  Throws:
    `java.lang.Exception`

### locateSchemaResource

    public org.springframework.webflow.execution.Event locateSchemaResource(org.springframework.webflow.execution.RequestContext context)
                                                                     throws java.lang.Exception

  locateSchemaResource performs the action to load or create schema resource

  Parameters:
    `context` -
  Returns:
  Throws:
    `java.lang.Exception`

### locateDataSource

    public org.springframework.webflow.execution.Event locateDataSource(org.springframework.webflow.execution.RequestContext context)
                                                                 throws java.lang.Exception

  locateDataSource performs the action to load or create data source

  Parameters:
    `context` -
  Returns:
  Throws:
    `java.lang.Exception`

### saveSchemaResource

    public org.springframework.webflow.execution.Event saveSchemaResource(org.springframework.webflow.execution.RequestContext context)
                                                                   throws java.lang.Exception

  saveSchemaResource performs the action to save schema resource

  Parameters:
    `context` -
  Returns:
  Throws:
    `java.lang.Exception`

### saveDatasource

    public org.springframework.webflow.execution.Event saveDatasource(org.springframework.webflow.execution.RequestContext context)
                                                               throws java.lang.Exception

  saveDatasource performs the action to save data source

  Parameters:
    `context` -
  Returns:
  Throws:
    `java.lang.Exception`

### saveMondrianConnection

    public org.springframework.webflow.execution.Event saveMondrianConnection(org.springframework.webflow.execution.RequestContext context)
                                                                       throws java.lang.Exception

  saveMondrianConnection performs the action to save mondrian connection resource

  Parameters:
    `context` -
  Returns:
  Throws:
    `java.lang.Exception`

### setMondrianConnectionDetails

    protected void setMondrianConnectionDetails(OlapClientConnectionWrapper wrapper,
                                                MondrianConnection mondrianConnection)

  setMondrianConnectionDetails saves the changes to mondrian connection

  Parameters:
    `wrapper` -
    `mondrianConnection` -

### getMondrianConnectionDetails

    protected void getMondrianConnectionDetails(OlapClientConnectionWrapper wrapper,
                                                MondrianConnection mondrianConnection)

  getMondrianConnectionDetails buffers the changes to mondrian connection

  Parameters:
    `wrapper` -
    `mondrianConnection` -

### saveXmlaConnection

    public org.springframework.webflow.execution.Event saveXmlaConnection(org.springframework.webflow.execution.RequestContext context)
                                                                   throws java.lang.Exception

  saveXmlaConnection stores XML/A connection information and places its resource reference in olap unit.

  Parameters:
    `context` -
  Returns:
  Throws:
    `java.lang.Exception`

### createFormObject

    public java.lang.Object createFormObject(org.springframework.webflow.execution.RequestContext context)

  createFormObject set the form object

  Overrides:
    `createFormObject` in class `org.springframework.webflow.action.FormAction`
  Parameters:
    `context` -
  Returns:
    Object

### getMondrianConnectionInfo

    protected void getMondrianConnectionInfo(OlapClientConnection occ,
                                             OlapClientConnectionWrapper formObject)

### validateOlapConnection

    public org.springframework.webflow.execution.Event validateOlapConnection(org.springframework.webflow.execution.RequestContext context)
                                                                       throws java.lang.Exception

  validateOlapConnection performs validate for olap view

  Parameters:
    `context` -
  Returns:
  Throws:
    `java.lang.Exception`

### getRepository

    public RepositoryService getRepository()

  getRepository returns repository service property

  Returns:

### setRepository

    public void setRepository(RepositoryService repository)

  setRepository sets repository service property

  Parameters:
    `repository` -

### getOlapConnection

    public OlapConnectionService getOlapConnection()

  method to get the olap connection service object

  Returns:

### setOlapConnection

    public void setOlapConnection(OlapConnectionService olapConnection)

  method to set the olap connection service object

  Parameters:
    `olapConnection` -

### getEngine

    public EngineService getEngine()

  method to get the engine service object

  Returns:

### setEngine

    public void setEngine(EngineService engine)

  method to set the engine service object

  Parameters:
    `engine` -

### initBinder

    protected void initBinder(org.springframework.webflow.execution.RequestContext context,
                              org.springframework.validation.DataBinder binder)

  Registers a byte array editor to allow spring handle File uploads as byte arrays

  Overrides:
    `initBinder` in class `org.springframework.webflow.action.FormAction`
  Parameters:
    `context` -
    `binder` -

### log

    protected void log(java.lang.String text)

  log logs debug message

  Parameters:
    `text` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.